#!/bin/sh
gmtset ANNOT_FONT_SIZE_PRIMARY 16
xp=-12
proj=X$xp/3.5
projr=X$xp/-3.5
ofs=118
yrse=9/21
c1=black
c1b=129/129/129
c2=red
c2b=255/80/80
c3=blue
dx1=23
dx3=20.5
wc=8
wc2=8
wc3=16
fs=16

flag=0
if [ $flag == 1 ]; then
rm -f sprattlisiecki.txt
i=15
while [ $i -lt 200 ]
do
head -n $i ../proxydata/Sea-level-stack.tab | tail -n 2 | awk '{a+=$1}{b=$4}{c+=$4}{d=$1} END{print a/NR,-4e14*(2*b-c)/(2*d-a)/31556926/1e9;}' >> sprattlisiecki.txt
i=`expr $i + 1`
done
fi

flag=0
if [ $flag == 1 ]; then
i=110
rm -f bintanja2008.txt
while [ $i -lt 1600 ]
do
j=`expr $i + 10`
head -n $i ../proxydata/bintanja2008.txt | tail -n 1 > tmp.txt
head -n $j ../proxydata/bintanja2008.txt | tail -n 1 >> tmp.txt
awk '{a+=$1}{b=$9}{c+=$9}{d=$1} END{print a/NR, -4e14*(2*b-c)/(2*d-a)/31556926/1e9;}' tmp.txt >> bintanja2008.txt #convert kg*1e-18/100a -> Sv [Mega m3/sec]. 
i=`expr $i + 1`
done
fi

bot=0
top=2.7
echo 14.7 $bot > ba.txt
echo 14.7 $top >> ba.txt
echo 11.6 $top >> ba.txt
echo 11.6 $bot >> ba.txt
echo 14.7 $bot >> ba.txt
echo 11.6 $bot > yd.txt
echo 11.6 $top >> yd.txt
gray=219/219/219

region=$yrse/0/0.3
psxy -JX$xp/19.5 -R$region  ba.txt -G$gray -K -P -Y2.5 -N > test.eps
#psxy -J -R yd.txt -W5,black,--- -K -O -N >> test.eps

echo $proj, $region
awk '{print $1,-$2}' bintanja2008.txt | psxy -J$proj -R$region -K -W$wc2,$c1 -O -BSWa1/g1a0.1 >> test.eps
awk '{print $1-'$ofs',-$2}' bintanja2008.txt | psxy -J -R -K -W$wc2,$c2 -O >> test.eps
echo 15 -0.175 $fs 0 0 "MC" Year [ka BP] | pstext -J -R -K -O -N >> test.eps
echo $dx1 0.15 $fs 90 0 "MC" "FWF [Sv]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 0.3 $fs 0 0 "ML" "(e)" | pstext -J -R -K -O -N >> test.eps
dy=-0.1
for i in 20 18 16 14 12 10 #8
do
j=`expr $i + $ofs`
echo $i $dy $fs 0 0 "MC" $j | pstext -J -R -K -O -N -G$c2 >> test.eps
done

awk '{print $1,$2}' sprattlisiecki.txt | psxy -J -R -K -W$wc2,$c1 -O -Y4 -BWs/a0.1>> test.eps
awk '{print $1-'$ofs',$2}' sprattlisiecki.txt | psxy -J -R -K -W$wc2,$c2 -O >> test.eps
#awk '{if(NR>4.5) print -$1, $2*1000/500/31556926*0.91}' ../otherdata/I6_C.VM5a_fwf_uniform.txt | psxy -J -R -K -O -BWs/g1a0.1 -Y4>> test.eps
#awk '{print -$1, $2*0.91}' glac1d.txt | psxy -J -R -K -O -BWs/g1a0.1 -Y4>> test.eps
echo $dx1 0.15 $fs 90 0 "MC" "FWF [Sv]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 0.3 $fs 0 0 "ML" "(d)" | pstext -J -R -K -O -N >> test.eps





region=$yrse/-130/0
awk '{if(NR>109.5 && NR<1500) print $1, -$9}' ../proxydata/bintanja2008.txt | psxy -J$proj3 -R$region -K -W$wc2,$c1 -O -Y4 -BWs/a40 >> test.eps
awk '{if(NR>109.5 && NR<1500) print $1-'$ofs', -$9}' ../proxydata/bintanja2008.txt | psxy -J -R -K -W$wc2,$c2 -O  >> test.eps
echo $dx1 -65 $fs 90 0 "MC" "Sea Level [m]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 0 $fs 0 0 "ML" "(c)" | pstext -J -R -K -O -N >> test.eps
awk '{if(NR>14.5) print $1, $2}' ../proxydata/Sea-level-stack.tab | psxy -J -R -K -W$wc2,$c1 -O -BWs/a40 -Y4 >> test.eps
awk '{if(NR>14.5) print $1-'$ofs', $2}' ../proxydata/Sea-level-stack.tab | psxy -J -R -K -W$wc2,$c2 -O  >> test.eps
echo $dx1 -65 $fs 90 0 "MC" "Sea Level [m]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 0 $fs 0 0 "ML" "(b)" | pstext -J -R -K -O -N >> test.eps
awk '{if(NR>4.5) print -$1, $3/4.0e5-117.5}' ../otherdata/I6_C.VM5a_fwf_uniform.txt | psxy -J -R -K -O -BWs/a40 -Y4 -W$wc2 >> test.eps
awk '{if(NR>19.5) print -$1, -$2*0.91*4.0/1.15}' ../otherdata/GLAC-1D_fwf_uniform.txt | psxy -J -R -K -O -W$wc2,--- >> test.eps
echo $dx1 -65 $fs 90 0 "MC" "Sea Level [m]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 0 $fs 0 0 "ML" "(a)" | pstext -J -R -K -O -N >> test.eps
#awk '{if(NR>109.5 && NR<1500) print $1, -$9}' ../proxydata/bintanja2008.txt | psxy -J$proj3 -R$region -K -W$wc2,$c1,--- -O -Y3 -BE/a40 >> test.eps
#awk '{if(NR>109.5 && NR<1500) print $1-'$ofs', -$9}' ../proxydata/bintanja2008.txt | psxy -J -R -K -W$wc2,$c2,--- -O  >> test.eps
#awk '{if(NR>14.5) print $1, $2}' ../proxydata/Sea-level-stack.tab | psxy -J -R -K -W$wc2,$c1 -O  >> test.eps
#awk '{if(NR>14.5) print $1-'$ofs', $2}' ../proxydata/Sea-level-stack.tab | psxy -J -R -K -W$wc2,$c2 -O  >> test.eps

convert test.eps figs1.png 
