#!/bin/sh
gmtset PAGE_COLOR 254/254/254
gmtset ANNOT_FONT_SIZE_PRIMARY 16
proj=X-15.5/4.5
yend=19
ystr=11
region=$ystr/$yend/-0.9/0.6
bot=-99
top=560
echo 14.7 $bot > ba.txt
echo 14.7 $top >> ba.txt
echo 11.6 $top >> ba.txt
echo 11.6 $bot >> ba.txt
echo 14.7 $bot >> ba.txt
gray=219/219/219
wc=7
dx1=20
dx2=10
fs=16
c1=black
c2=black
c3=red
#psxy -J$proj -R$region -K -X2.5 -Y2 -P ba.txt -G$gray > test.eps
#awk '{print 22-$1*0.001, $3-3.13}' ../mirocdata/T1like_ocn_21-13ka.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BWsnea1/g10a0.3 -O >> test.eps
#awk '{print 14-$1*0.001, $3-3.13}' ../mirocdata/T1like_ocn_13-10ka.txt | psxy -J$proj -R$region -K -W$wc,black  -O >> test.eps
#awk '{print 22-$1*0.001, $3-3.13}' ../mirocdata/T2like2_ocn_16-13ka.txt | psxy -J$proj -R$region -K -W$wc,red  -O >> test.eps
#awk '{print 14-$1*0.001, $3-3.13}' ../mirocdata/T2like2_ocn_13-9ka.txt | psxy -J$proj -R$region -K -W$wc,red  -O >> test.eps
#awk '{print 22-$1*0.001-1, $3-3.13}' ../mirocdata/T2ORB_ocn.txt | psxy -J$proj -R$region -K -W$wc,$c3 -O >> test.eps
#awk '{print 22-$1*0.001-1, $3-3.13}' ../mirocdata/T2ORB2_ocn.txt | psxy -J$proj -R$region -K -W$wc,$c4 -O >> test.eps
#echo $dx1 -0.25 $fs 90 0 "MC" "(g) MOT anomaly [\260C]" | pstext -J -R -K -O -N >> test.eps


region=$ystr/$yend/-57/-51
psxy -J$proj -R$region ba.txt -G$gray -K -P > test.eps
awk '{print 22-$1*0.001, $3}' ../mirocdata/T1like.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BWSena1/a2 -O>> test.eps
#awk '{if($1>6000) print 22-$1*0.001, $3}' ../mirocdata/T2like2.txt | psxy -J$proj -R$region -K -W$wc,red  -O >> test.eps
awk '{print 22-$1*0.001-1, $3}' ../mirocdata/T2ORB.txt | psxy -J$proj -R$region -K -W$wc,$c3  -O >> test.eps
#awk '{print 22-$1*0.001-1, $3}' ../mirocdata/T2ORB2.txt | psxy -J$proj -R$region -K -W$wc,$c4  -O >> test.eps
echo $dx1 -54 $fs 90 0 "MC" "(f) DF SAT [\260C]" | pstext -J -R -K -O -N >> test.eps
echo 15 -59.25 $fs 0 0 "MC" Year [ka BP] | pstext -J -R -K -O -N >> test.eps

dy=-57.8
for i in 18 16 14 12 19 17 15 13 11 #10 # 19 17 15 13 11 9
do
j=`expr $i + 118`
#echo $i $dy $fs 0 0 "MC" $i | pstext -J -R -K -O -N -G$c1 >> test.eps
echo $i $dy $fs 0 0 "MC" $j | pstext -J -R -K -O -N -G$c3 -D0/-0.5 >> test.eps
done
echo 14 -1.45 18 0 0 "MC" Year [ka BP] | pstext -J -R -K -O -N >> test.eps


region=$ystr/$yend/0/30
psxy -J$proj -R$region ba.txt -G$gray -Y5 -K -O >> test.eps
awk '{print 22-$1*0.001, $4}' ../mirocdata/T1like_ocn_21-13ka.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BWsne/a10 -O>> test.eps
awk '{print 14-$1*0.001, $4}' ../mirocdata/T1like_ocn_13-10ka.txt | psxy -J$proj -R$region -K -W$wc,black  -O >> test.eps
#awk '{print 22-$1*0.001, $4}' ../mirocdata/T2like2_ocn_16-13ka.txt | psxy -J$proj -R$region -K -W$wc,red  -O >> test.eps
#awk '{print 14-$1*0.001, $4}' ../mirocdata/T2like2_ocn_13-9ka.txt | psxy -J$proj -R$region -K -W$wc,red  -O >> test.eps
awk '{print 22-$1*0.001-1, $4}' ../mirocdata/T2ORB_ocn.txt | psxy -J$proj -R$region -K -W$wc,$c3  -O >> test.eps
#awk '{print 22-$1*0.001-1, $4}' ../mirocdata/T2ORB2_ocn.txt | psxy -J$proj -R$region -K -W$wc,$c4  -O >> test.eps
echo $dx1 15 $fs 90 0 "MC" "(e) AMOC [Sv]" | pstext -J -R -K -O -N >> test.eps


wc2=8
proj=X-15.5/3
region=$ystr/$yend/0/0.16
psxy -J$proj -R$region ba.txt -G$gray -Y5 -K -O >> test.eps
awk '{print $1,$2}'  ../mirocdata/hosing_T1like.txt | psxy -J$proj -R$region -K -W$wc2,$c1 -BSWne/a0.05 -O >> test.eps
awk '{if($1>15.0 && $1<20.2) print $1-1,$2}' ../mirocdata/hosing_T1like.txt > tmp.txt
echo 15.0 0.06 >> tmp.txt
echo 15.0 0.08 >> tmp.txt
echo 14.0 0.08 >> tmp.txt
echo 14.0 0.1 >> tmp.txt
echo 12.0 0.1 >> tmp.txt
cat tmp.txt | psxy -J -R -K -W$wc,$c3 -O >> test.eps

echo $dx1 0.075 $fs 90 0 "MC" "(d) FWF [Sv]" | pstext -J -R -K -O -N >> test.eps

yrse=$ystr/$yend
region=$yrse/180/285
wc2=16
psxy -J$proj -R$region ba.txt -G$gray -Y3.5 -K -O >> test.eps
#awk '{print $1*0.001, $2}' ../proxydata/antarctica2015co2composite.txt | psxy -J$proj -R$region -H138 -K -W$wc2,red -BWsne/a30 -O  >> test.eps
awk '{print $1*0.001, $2}' ../proxydata/antarctica2015co2composite.txt | psxy -J$proj -R$region -H138 -K -W$wc,$c1 -O -BWsne/a30>> test.eps
awk '{if($1<=138000) print $1*0.001-118, $2}' ../proxydata/antarctica2015co2composite.txt | psxy -H138 -J$proj -R$region -K -W$wc,$c3 -O >> test.eps
echo $dx1 235 $fs 90 0 "MC" "(c) pCO2 [ppm]" | pstext -J -R -K -O -N >> test.eps

proj=X-15.5/2.5
region=$yrse/450/550
psxy -J$proj -R$region ba.txt -G$gray -Y3 -K -O >> test.eps
#awk '{if($1>-17) print -$1, $2}' ins.txt | psxy -J$proj -R$region -K -W$wc2,red -BEsnw/a20 -O >> test.eps
awk '{print -$1, $2}' ins.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BEsnw/a20 -O >> test.eps
#awk '{print -$1, $2}' ../../insolationproxy/orbit91.txt | psxy -J$proj -R$region -K -W$wc,black  -O >> test.eps
awk '{if($1>=-138) print -$1-118, $2}' ins.txt | psxy -J$proj -R$region -K -W$wc,$c3 -O >> test.eps
echo $dx2 500 $fs 90 0 "MC" "(b) Insolation [W/m2]" | pstext -J -R -K -O -N >> test.eps

region=$yrse/23/24.5
psxy -J$proj -R$region ba.txt -G$gray -Y2.5 -K -O >> test.eps
#awk '{if($1>-17) print -$1, $4}' ../../insolationproxy/orbit91.txt | psxy -J$proj -R$region -K -W$wc2,$c2 -BWsne/a0.5 -O >> test.eps
awk '{print -$1, $4}' ../../insolationproxy/orbit91.txt | psxy -J$proj -R$region -K -W$wc,$c1 -O -BWsne/a0.5 >> test.eps
awk '{if($1>=-138) print -$1-118, $4}' ../../insolationproxy/orbit91.txt | psxy -J$proj -R$region -K -W$wc,$c3 -O >> test.eps
echo $dx1 23.75 $fs 90 0 "MC" "(a) Obliquity [\260]" | pstext -J -R -K -O -N >> test.eps

convert test.eps figs2.png
cp figs2.png test.png
