#!/bin/sh
gmtset ANNOT_FONT_SIZE_PRIMARY 16
flag=0
if [ $flag == 1 ]; then
for exp in 0314 0439
do
rm -f nh.txt
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf${exp}/GlobalSeries.NA d 6 - 1,4 / > na.txt
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf${exp}/GlobalSeries.EA d 6 - 1,4 / > ea.txt
paste na.txt ea.txt > tmp.txt 
if [ $exp == 0439 ]; then
head -n 3800 nh_0314.txt > nh.txt
fi
awk '{print $2/31556926, $3+$6}' tmp.txt >> nh.txt # unit. [m3]
rm -f nh_rate.txt
i=1
while [ $i -lt 4000 ]
do
j=`expr $i + 10`
head -n $i nh.txt | tail -n 1 > tmp.txt
head -n $j nh.txt | tail -n 1 >> tmp.txt
awk '{a+=$1}{b=$2}{c+=$2}{d=$1} END{print a/NR, -(2*b-c)*0.000001*0.910/(2*d-a)/31556926;}' tmp.txt >> nh_rate.txt #convert m3/a #> Sv [Mega m3/sec]. 
i=`expr $i + 1`
done
cp nh.txt nh_${exp}.txt
cp nh_rate.txt nh_rate_${exp}.txt
done
fi

bot=0
top=560
echo 14.7 $bot > ba.txt
echo 14.7 $top >> ba.txt
echo 11.6 $top >> ba.txt
echo 11.6 $bot >> ba.txt
echo 14.7 $bot >> ba.txt


proj=X-12/5
projr=X-12/-5
yrse=5/20
wc=8
lat=22.5
lat2=22.5
fs=14
psxy -J$projr -R$yrse/0/150 -K -X3 ba.txt -Ggray -Y1.5 > test.eps
awk '{print -$1*0.001, $2/4e14 }' nh_0314.txt | psxy -J$projr -R$yrse/0/150 -K -BSWnea2/a50 -W$wc,black  -O >> test.eps
awk '{print -$1*0.001, $2/4e14 }' nh_0439.txt | psxy -J -R -K -W$wc,red -O >> test.eps
echo 12.5 185 $fs 0 0 "MC" Year [ka BP] | pstext -J -R -K -O -N >> test.eps
echo $lat 75 $fs 90 0 "MC" "(d) Ice Volume [m SLE]" | pstext -J -R -K -O -N >> test.eps 
echo 19.5 0 > tmp.txt
echo 17.75 0 >> tmp.txt
for i in 15 13 11
do
echo $i -7 | psxy -J -R -K -O -N -Si0.4 -W4,black >> test.eps
done
psxy -J -R tmp.txt -W$wc,black -D0/-0.5 -K -O >> test.eps
psxy -J -R tmp.txt -W$wc,red -D0/-1.0 -K -O >> test.eps
echo 17.5 0 $fs 0 0 "ML" CTL | pstext -J -R -K -O -N -D0/-0.5 >> test.eps
echo 17.5 0 $fs 0 0 "ML" EMOD | pstext -J -R -K -O -N -D0/-1.0 >> test.eps

psxy -J$proj -R$yrse/-0.05/0.35 -K -O -Y5.5 ba.txt -Ggray >> test.eps
awk '{print -$1*0.001, $2 }' nh_rate_0314.txt | psxy -J$proj -R$yrse/-0.05/0.35 -K -BWsne/g10a0.1 -W$wc,black -O >> test.eps
awk '{print -$1*0.001, $2 }' nh_rate_0439.txt | psxy -J -R -K -W$wc,red -O >> test.eps
echo $lat2 0.15 $fs 90 0 "MC" "(c) Ice Loss Rate [Sv]" | pstext -J -R -K -O -N >> test.eps 

proj=X-12/4
psxy -J$proj -R$yrse/440/560 ba.txt -Ggray -Y5.5 -K -O >> test.eps
#/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0314/DTins06 d 4 - 1,3 / | awk '{print -$2*0.001/31556926, $3 }' | psxy -J$proj -R$yrse/440/560 -W$wc,black  -K -O >> test.eps
#/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0439/DTins06 d 4 - 1,3 / | awk '{print -$2*0.001/31556926, $3 }' | psxy -J$proj -R$yrse/440/560 -W$wc,red -K -O -BWsne/a40>> test.eps
#i=1
#rm -f ins.txt
#rm -f ins2.txt
#while [ $i -lt 21 ]
#do
#echo $i
#../../dsphr_eddc/dsphr.sh -C jd -o ../../dsphr_eddc/i/orbit91.dat -ds 6,9 -de 6,29 | awk '{if($1=="DD" && -$2=='$i') print $2, $9}' | awk '{if(m<$2) m=$2} END {print $1,m}' >> ins.txt
#../../dsphr_eddc/dsphr.sh -C jd -o ../../dsphr_eddc/i/orbit91_erpl126ka.dat -ds 6,9 -de 6,29 | awk '{if($1=="DD" && -$2=='$i') print $2, $9}' | awk '{if(m<$2) m=$2} END {print $1,m}' >> ins2.txt
#i=`expr $i + 1`
#done
awk '{print -$1, $2}' ins.txt | psxy -J -R -K -W$wc,black -O >> test.eps
awk '{print -$1, $2}' ins2.txt | psxy -J -R -K -W$wc,red -O -BSWne/a40 >> test.eps
echo $lat 500 $fs 90 0 "MC" "(b) Insolation [W/m2]" | pstext -J -R -K -O -N >> test.eps 

proj=X-12/3
psxy ba.txt -J$proj -R$yrse/0/0.05 -Ggray -Y4.5 -K -O >> test.eps
awk '{print -$1, $2}' ../../insolationproxy/orbit91.txt | psxy -J$proj -R$yrse/0/0.05 -W$wc,black -K -O >> test.eps
awk '{print -$1-113, $2}' ../../insolationproxy/orbit91.txt | psxy -J$proj -R$yrse/0/0.05 -W$wc,red -K -O -BWsne/a0.02 >> test.eps
echo $lat2 0.025 $fs 90 0 "MC" "(a) Eccentricity" | pstext -J -R -K -O -N >> test.eps 




echo 0 0 | psxy -J -R -K -O -N -X19.5 -Y-21.75 >> test.eps

for n in 11 13 15
do
t1=`expr 801 - 2 \* $n`
t2=`expr 41 - 2 \* $n`
echo $n, $t1, $t2
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0314/b f 362 59 - : : $t1 | awk '{print $1-1,$2+30,$4}' | xyz2grd -I1 -R0/360/30/89 -Gb.0314.grd
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0439/b f 362 59 - : : $t2 | awk '{print $1-1,$2+30,$4}' | xyz2grd -I1 -R0/360/30/89 -Gb.0439.grd
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0314/s f 362 59 - : : $t1 | awk '{print $1-1,$2+30,$4}' | xyz2grd -I1 -R0/360/30/89 -Gs.0314.grd
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0439/s f 362 59 - : : $t2 | awk '{print $1-1,$2+30,$4}' | xyz2grd -I1 -R0/360/30/89 -Gs.0439.grd
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0314/H f 362 59 - : : $t1 | awk '{print $1-1,$2+30,$4}' | xyz2grd -I1 -R0/360/30/89 -GH.0314.grd
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0439/H f 362 59 - : : $t2 | awk '{print $1-1,$2+30,$4}' | xyz2grd -I1 -R0/360/30/89 -GH.0439.grd
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0314/ms f 362 59 - : : $t1 | awk '{print $1-1,$2+30,$4*31556926}' | xyz2grd -I1 -R0/360/30/89 -Gms.0314.grd
/home/obase/bin/ixv ../iciesdata/nh/nh2es/iobf0439/ms f 362 59 - : : $t2 | awk '{print $1-1,$2+30,$4*31556926}' | xyz2grd -I1 -R0/360/30/89 -Gms.0439.grd

for i in 0314 0439
do
grdmath H.$i.grd 0 NAN = noice.$i.grd
grdmath s.$i.grd noice.$i.grd OR = s.mask.$i.grd
grdmath ms.$i.grd noice.$i.grd OR = ms.mask.$i.grd
done

proj=S-90/90/6
region=-125/30/30/50r
echo -0.5 246 140 67 -0.3 246 140 67 > tmp.cpt
echo -0.3 253 196 149 -0.1 253 196 149 >> tmp.cpt 
echo -0.1 255 255 255 0.1 255 255 255 >> tmp.cpt
echo 0.1 171 224 238 0.3 171 224 238 >> tmp.cpt
echo 0.3 75 195 205 0.5 75 195 205 >> tmp.cpt 
echo F 40 146 158 >> tmp.cpt 
echo B 148 68 32 >> tmp.cpt 
echo 0 240 240 240 0.001 240 240 240 > b.cpt
echo F 159 159 159 >> b.cpt
echo B 235 235 235 >> b.cpt 
#echo F 0 0 255 >> tmp.cpt
#echo B 255 0 0 >> tmp.cpt
grdimage -J$proj -R$region b.0314.grd -Cb.cpt -K -E200i -X-6.5 -Y6.25 -O >> test.eps
grdimage -J$proj -R$region ms.mask.0314.grd -Ctmp.cpt -K -BSWne -E200i -O -Ts >> test.eps
grdcontour -J$proj -R$region s.mask.0314.grd -C1000 -W2  -K -O >> test.eps

grdimage -J$proj -R$region b.0439.grd -Cb.cpt -K -E200i -X6.5 -O >> test.eps
grdimage -J$proj -R$region ms.mask.0439.grd -Ctmp.cpt -K -BSWne -E200i -O -Ts >> test.eps
grdcontour -J$proj -R$region s.mask.0439.grd -C1000 -W2  -K -O >> test.eps
done
psscale -D-0.25/-12.75/8/0.4h -K -O -E1 -N -L -Ctmp.cpt >> test.eps
fs=18
echo 0 0 $fs 0 0 "MC" EMOD | pstext -Jx1 -R0/1/0/1 -K -O -N -D3.1/6.4 >> test.eps
echo 0 0 $fs 0 0 "MC" CTL | pstext -Jx1 -R0/1/0/1 -K -O -N -D-3.4/6.4 >> test.eps
echo 0 0 $fs 0 0 "MC" "(e)" | pstext -Jx1 -R0/1/0/1 -K -O -N -D-6.15/6.4 >> test.eps
fs=16
echo 0 0 $fs 0 0 "MC" 15ka | pstext -Jx1 -R0/1/0/1 -K -O -N -D5.1/0.4 >> test.eps
echo 0 0 $fs 0 0 "MC" 13ka | pstext -Jx1 -R0/1/0/1 -K -O -N -D5.1/-5.85 >> test.eps
echo 0 0 $fs 0 0 "MC" 11ka | pstext -Jx1 -R0/1/0/1 -K -O -N -D5.1/-12.1 >> test.eps
echo 0 0 $fs 0 0 "MC" 15ka | pstext -Jx1 -R0/1/0/1 -K -O -N -D-1.4/0.4 >> test.eps
echo 0 0 $fs 0 0 "MC" 13ka | pstext -Jx1 -R0/1/0/1 -K -O -N -D-1.4/-5.85 >> test.eps
echo 0 0 $fs 0 0 "MC" 11ka | pstext -Jx1 -R0/1/0/1 -K -O -N -D-1.4/-12.1 >> test.eps

echo 0 0 $fs 0 0 "MC" [m/a] | pstext -J -R -K -O -N -D5.1/-13.7 >> test.eps
#echo 0 0 $fs 0 0 "MC" "(e)" | pstext -Jx1 -R0/1/0/1 -K -O -N -D-6.15/6.4 >> test.eps
convert -rotate 90 test.eps fig4.png
ps2pdf test.eps fig4.pdf
